@echo off
rem ************************************************************************************
rem * Description: 	Saves the value of errorlevel in Enviroment variable RC
rem * Name: 		SAVERC.BAT
rem * Dependencies:	
rem * Parameters: 	None
rem * Return Code:  None
rem ************************************************************************************

if errorlevel 1 goto SAVE
set RC=0
goto END
:SAVE
if errorlevel 1 set RC=1
if errorlevel 2 set RC=2
if errorlevel 3 set RC=3
if errorlevel 4 set RC=4
if errorlevel 5 set RC=5
if errorlevel 6 set RC=6
if errorlevel 7 set RC=7
if errorlevel 8 set RC=8
if errorlevel 9 set RC=9
if errorlevel 10 set RC=10
if errorlevel 11 set RC=11
if errorlevel 12 set RC=12
if errorlevel 13 set RC=13
if errorlevel 14 set RC=14
if errorlevel 15 set RC=15
if errorlevel 16 set RC=16
if errorlevel 17 set RC=17
if errorlevel 18 set RC=18
if errorlevel 19 set RC=19
if errorlevel 20 set RC=20
if errorlevel 21 set RC=21
if errorlevel 22 set RC=22
if errorlevel 23 set RC=23
if errorlevel 24 set RC=24
if errorlevel 25 set RC=25
if errorlevel 26 set RC=26
if errorlevel 27 set RC=27
if errorlevel 28 set RC=28
if errorlevel 29 set RC=29
if errorlevel 30 set RC=30
if errorlevel 31 set RC=31
if errorlevel 32 set RC=32
if errorlevel 33 set RC=33
if errorlevel 34 set RC=34
if errorlevel 35 set RC=35
if errorlevel 36 set RC=36
if errorlevel 37 set RC=37
if errorlevel 38 set RC=38
if errorlevel 39 set RC=39
if errorlevel 40 set RC=40
if errorlevel 41 set RC=41
if errorlevel 42 set RC=42
if errorlevel 43 set RC=43
if errorlevel 44 set RC=44
if errorlevel 45 set RC=45
if errorlevel 46 set RC=46
if errorlevel 47 set RC=47
if errorlevel 48 set RC=48
if errorlevel 49 set RC=49
if errorlevel 50 set RC=50
if errorlevel 51 set RC=51
if errorlevel 52 set RC=52
if errorlevel 53 set RC=53
if errorlevel 54 set RC=54
if errorlevel 55 set RC=55
if errorlevel 56 set RC=56
if errorlevel 57 set RC=57
if errorlevel 58 set RC=58
if errorlevel 59 set RC=59
if errorlevel 60 set RC=60
if errorlevel 61 set RC=61
if errorlevel 62 set RC=62
if errorlevel 63 set RC=63
if errorlevel 64 set RC=64
if errorlevel 65 set RC=65
if errorlevel 66 set RC=66
if errorlevel 67 set RC=67
if errorlevel 68 set RC=68
if errorlevel 69 set RC=69
if errorlevel 70 set RC=70
if errorlevel 71 set RC=71
if errorlevel 72 set RC=72
if errorlevel 73 set RC=73
if errorlevel 74 set RC=74
if errorlevel 75 set RC=75
if errorlevel 76 set RC=76
if errorlevel 77 set RC=77
if errorlevel 78 set RC=78
if errorlevel 79 set RC=79
if errorlevel 80 set RC=80
if errorlevel 81 set RC=81
if errorlevel 82 set RC=82
if errorlevel 83 set RC=83
if errorlevel 84 set RC=84
if errorlevel 85 set RC=85
if errorlevel 86 set RC=86
if errorlevel 87 set RC=87
if errorlevel 88 set RC=88
if errorlevel 89 set RC=89
if errorlevel 90 set RC=90
if errorlevel 91 set RC=91
if errorlevel 92 set RC=92
if errorlevel 93 set RC=93
if errorlevel 94 set RC=94
if errorlevel 95 set RC=95
if errorlevel 96 set RC=96
if errorlevel 97 set RC=97
if errorlevel 98 set RC=98
if errorlevel 99 set RC=99
if errorlevel 100 set RC=100
if errorlevel 101 set RC=101
if errorlevel 102 set RC=102
if errorlevel 103 set RC=103
if errorlevel 104 set RC=104
if errorlevel 105 set RC=105
if errorlevel 106 set RC=106
if errorlevel 107 set RC=107
if errorlevel 108 set RC=108
if errorlevel 109 set RC=109
if errorlevel 110 set RC=110
if errorlevel 111 set RC=111
if errorlevel 112 set RC=112
if errorlevel 113 set RC=113
if errorlevel 114 set RC=114
if errorlevel 115 set RC=115
if errorlevel 116 set RC=116
if errorlevel 117 set RC=117
if errorlevel 118 set RC=118
if errorlevel 119 set RC=119
if errorlevel 120 set RC=120
if errorlevel 121 set RC=121
if errorlevel 122 set RC=122
if errorlevel 123 set RC=123
if errorlevel 124 set RC=124
if errorlevel 125 set RC=125
if errorlevel 126 set RC=126
if errorlevel 127 set RC=127
if errorlevel 128 set RC=128
if errorlevel 129 set RC=129
if errorlevel 130 set RC=130
if errorlevel 131 set RC=131
if errorlevel 132 set RC=132
if errorlevel 133 set RC=133
if errorlevel 134 set RC=134
if errorlevel 135 set RC=135
if errorlevel 136 set RC=136
if errorlevel 137 set RC=137
if errorlevel 138 set RC=138
if errorlevel 139 set RC=139
if errorlevel 140 set RC=140
if errorlevel 141 set RC=141
if errorlevel 142 set RC=142
if errorlevel 143 set RC=143
if errorlevel 144 set RC=144
if errorlevel 145 set RC=145
if errorlevel 146 set RC=146
if errorlevel 147 set RC=147
if errorlevel 148 set RC=148
if errorlevel 149 set RC=149
if errorlevel 150 set RC=150
if errorlevel 151 set RC=151
if errorlevel 152 set RC=152
if errorlevel 153 set RC=153
if errorlevel 154 set RC=154
if errorlevel 155 set RC=155
if errorlevel 156 set RC=156
if errorlevel 157 set RC=157
if errorlevel 158 set RC=158
if errorlevel 159 set RC=159
if errorlevel 160 set RC=160
if errorlevel 161 set RC=161
if errorlevel 162 set RC=162
if errorlevel 163 set RC=163
if errorlevel 164 set RC=164
if errorlevel 165 set RC=165
if errorlevel 166 set RC=166
if errorlevel 167 set RC=167
if errorlevel 168 set RC=168
if errorlevel 169 set RC=169
if errorlevel 170 set RC=170
if errorlevel 171 set RC=171
if errorlevel 172 set RC=172
if errorlevel 173 set RC=173
if errorlevel 174 set RC=174
if errorlevel 175 set RC=175
if errorlevel 176 set RC=176
if errorlevel 177 set RC=177
if errorlevel 178 set RC=178
if errorlevel 179 set RC=179
if errorlevel 180 set RC=180
if errorlevel 181 set RC=181
if errorlevel 182 set RC=182
if errorlevel 183 set RC=183
if errorlevel 184 set RC=184
if errorlevel 185 set RC=185
if errorlevel 186 set RC=186
if errorlevel 187 set RC=187
if errorlevel 188 set RC=188
if errorlevel 189 set RC=189
if errorlevel 190 set RC=190
if errorlevel 191 set RC=191
if errorlevel 192 set RC=192
if errorlevel 193 set RC=193
if errorlevel 194 set RC=194
if errorlevel 195 set RC=195
if errorlevel 196 set RC=196
if errorlevel 197 set RC=197
if errorlevel 198 set RC=198
if errorlevel 199 set RC=199
if errorlevel 200 set RC=200
if errorlevel 201 set RC=201
if errorlevel 202 set RC=202
if errorlevel 203 set RC=203
if errorlevel 204 set RC=204
if errorlevel 205 set RC=205
if errorlevel 206 set RC=206
if errorlevel 207 set RC=207
if errorlevel 208 set RC=208
if errorlevel 209 set RC=209
if errorlevel 210 set RC=210
if errorlevel 211 set RC=211
if errorlevel 212 set RC=212
if errorlevel 213 set RC=213
if errorlevel 214 set RC=214
if errorlevel 215 set RC=215
if errorlevel 216 set RC=216
if errorlevel 217 set RC=217
if errorlevel 218 set RC=218
if errorlevel 219 set RC=219
if errorlevel 220 set RC=220
if errorlevel 221 set RC=221
if errorlevel 222 set RC=222
if errorlevel 223 set RC=223
if errorlevel 224 set RC=224
if errorlevel 225 set RC=225
if errorlevel 226 set RC=226
if errorlevel 227 set RC=227
if errorlevel 228 set RC=228
if errorlevel 229 set RC=229
if errorlevel 230 set RC=230
if errorlevel 231 set RC=231
if errorlevel 232 set RC=232
if errorlevel 233 set RC=233
if errorlevel 234 set RC=234
if errorlevel 235 set RC=235
if errorlevel 236 set RC=236
if errorlevel 237 set RC=237
if errorlevel 238 set RC=238
if errorlevel 239 set RC=239
if errorlevel 240 set RC=240
if errorlevel 241 set RC=241
if errorlevel 242 set RC=242
if errorlevel 243 set RC=243
if errorlevel 244 set RC=244
if errorlevel 245 set RC=245
if errorlevel 246 set RC=246
if errorlevel 247 set RC=247
if errorlevel 248 set RC=248
if errorlevel 249 set RC=249
if errorlevel 250 set RC=250
if errorlevel 251 set RC=251
if errorlevel 252 set RC=252
if errorlevel 253 set RC=253
if errorlevel 254 set RC=254
if errorlevel 255 set RC=255
:END